Forum Clubic

Problème installation patch v1.52 pour civilization 4

Bonjour , j’ai acheter civilization 4 par téléchargement . Une fois lancé , un message d’erreur apparait " Initialize Renderer failed. Check DirectX Installation, Latest Graphics Drivers and Graphics Settings etc …"
Ma version de DirectX étant a jour , je télécharge le patch v1.52 conseillé par le site officiel du jeu pour régler les probleme de parametres graphique .
Au lancement du programme d’installation du patch , encore un message d’erreur : " Le programme d’installation n’a détecté aucune version de Sid Meier’s Civilization 4 , cette mise a jour nécessite qu’une version anterieure de l’application soit installé "
Que faire ??!!
(J’ai déja essayer de réinstaller le jeu , ca n’y change rien)

Merci de répondre rapidement !!:slight_smile:

Bonsoir,

Mettez votre version de DX à jour à partir de google souvent à la fin de l’installation d’un jeu il vous propose de vous installer DX mais souvent c’est foireux :wink:

En suite allez sur le site Nvidia ou Ati en fonction de votre carte Graphique et mettez à jour vos pilotes.

Pouvez-vous nous apporter des précisions sur “Par téléchargement” Vous parlez de Steam, ou une autre plateforme ?:slight_smile:

Vérifié à l’installation du PATCH, si vous pouvez, qu’il installe bien le patch à la racine du jeux sur votre Disque dur.

BlackDeath_34

J’ai déja installer la derniere version de DirectX en passant par google , version 11 il me semble .

Je suis sur un notebook , carte graphique : Intel Graphics Media Accelerator 945 GSE . Je ne sait pas a quoi ca correspond.

J’ai acheter le jeu en passant par le site etajv ( jeuxvideo.com)

Pour le choix du dossier racine , je ne peut pas aller jusque la puisque l’installation coupe durant la préparation ( premier chargement , " préparation de l’assistant installshield wizard " ) :-(:

Merci de votre aide !! J’ai peur d’avoir acheter un jeu qui ne pourra pas tourner sur mon ordi :frowning:

En fait il y a deux versions de direct x bien distinct a installer sur les versions récentes de windows: la version 11 et la version dx9 et ses multiples déclinaisons .Je ne sais pas trop ou la trouver par contre ,ils sont souvent inclus dans le jeu .

Edit: essaie d’installer ceux la
www.clubic.com…
Edité le 06/01/2012 à 15:55

Impossible d’installer la version dx9 voici le rapport d’erreur :

[01/05/12 21:49:50] module: dsetup32(Jun 2 2010), file: dsinline.h, line: 391, function: GetLangCodePage

Failed API:		VerQueryValue()
Error:		(1813) - Le type de ressource spécifié ne peut être trouvé dans le fichier image.



Unable to get Translation valie.

[01/05/12 21:49:50] module: dsetup32(Jun 2 2010), file: dsinline.h, line: 391, function: GetLangCodePage

Failed API:		VerQueryValue()
Error:		(1813) - Le type de ressource spécifié ne peut être trouvé dans le fichier image.



Unable to get Translation valie.

[01/06/12 19:36:40] module: DXWSetup(Mar 30 2011), file: dxwsetup.cpp, line: 229, function: CDXWSetup::InitInstallEngine

Sections are not initialized.

[01/06/12 19:36:40] module: DXWSetup(Mar 30 2011), file: psheets.cpp, line: 705, function: PreinstDlgProc

CDXWSetup::InitInstallEngine() failed.

[01/06/12 19:37:29] module: DXWSetup(Mar 30 2011), file: dxwsetup.cpp, line: 229, function: CDXWSetup::InitInstallEngine

Sections are not initialized.

[01/06/12 19:37:30] module: DXWSetup(Mar 30 2011), file: psheets.cpp, line: 705, function: PreinstDlgProc

CDXWSetup::InitInstallEngine() failed.

J’ai installer la version qu’il donnait avec le jeu, ca ne change rien . AIDEZ MOI !!! MDR:)

Les notebook ne serait il pas fait pour faire tourner des jeux video , meme aussi simple que civilization 4 ??
Peut être que ca vient de la carte graphique qu’en pensez vous ? Moi je suis vraiment bloqué:(

Je me suis trompé !! ma carte graphique est une Intel GMA 3150

Essayes peut etre d’installer un autre patch avant d’installer celui la.

Il fut une époque ou sur certains jeux, les patchs n’étaient pas “cumulatif” (je ne sais pas si on dit ça comme ça).

Ce que je veux dire c’est que par exemple, le dernier patch ne prenait pas en compte les modifications des patchs sortis avant. Il fallait donc installer un patch après l’autre dans l’ordre.

Et civilisation 4 est quand même trés gourmand(même maintenant) et les notebooks ne sont pas du tout fait pour du jeu vidéo.

Merci ! Après m’être renseigné toute la nuit , j’ai trouvé que ca vient de la résolution d’écran des notebooks. (Maxi 1024x600) alors que la plupart des jeux demande au minimum du 1024x768 . Ya moyen de tricher avec un programme ( Astray plus ) qui modifie les parametres d’affichage . Cependant ca peut etre mauvais pour l’écran alors j’abandonne !!
Il faut se faire une raison , un notebook est un notebook !! A+ :wink: